com.sun.mail.imap

## Class IMAPMessage.FetchProfileCondition

- java.lang.Object
- - com.sun.mail.imap.IMAPMessage.FetchProfileCondition

- All Implemented Interfaces:
    Utility.Condition
  Enclosing class:
    IMAPMessage

      public static class IMAPMessage.FetchProfileCondition
      extends Object
      implements Utility.Condition

  This class implements the test to be done on each message in the folder. The test is to check whether the message has already cached all the items requested in the FetchProfile. If any item is missing, the test succeeds and breaks out.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAPMessage.FetchProfileCondition(FetchProfile fp, FetchItem[] fitems)` Create a FetchProfileCondition to determine if we need to fetch any of the information specified in the FetchProfile.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `test(IMAPMessage m)` Return true if we NEED to fetch the requested information for the specified message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAPMessage.FetchProfileCondition

          public IMAPMessage.FetchProfileCondition(FetchProfile fp,
                                           FetchItem[] fitems)

      Create a FetchProfileCondition to determine if we need to fetch any of the information specified in the FetchProfile.
      Parameters:
        `fp` - the FetchProfile
        `fitems` - the FETCH items

  - ### Method Detail

    - #### test

          public boolean test(IMAPMessage m)

      Return true if we NEED to fetch the requested information for the specified message.
      Specified by:
        `test` in interface `Utility.Condition`

Copyright © 2016 Oracle. All rights reserved.